Error de Android ADT, dx.jar no se cargó desde la carpeta SDK

Acabo de descargar Eclipse Galileo e instalé ADT10 y probé una aplicación de teléfono usando esta guía: http://www.phonegap.com/start Pero cada vez que trato de construir recibo este error: Error desconocido: No se puede construir: el archivo dx.jar no se cargó desde la carpeta SDK

Sé que ya hay algunas preguntas / respuestas al respecto en este foro, pero no funcionaron para mí.

Esto se debe a una actualización incompleta / desordenada a la versión más reciente, lo que da como resultado la falta de dx.jar en {Android SDK dir}\platform-tools\lib\ .

Solución:

Encuentre su último dx.jar en {Android SDK dir}\platforms\*

y cópialo a:

{Android SDK dir}\platform-tools\lib\

Reinicie el eclipse, clean su proyecto y todo debería funcionar como se espera.

(Si el directorio platform-tools\lib falta por completo, tendrá que volver a instalar “Plataforma Android SDK-tools” usando el administrador SDK. Después de reinstalar dx.jar debería estar ahí para que no sea necesario copiar)

Si no puede encontrar dx.jar en alguno de los {Android SDK dir}\platforms\* dx.jar de {Android SDK dir}\platforms\* , tendrá que iniciar el administrador de SDK e instalar el SDK de Android 1.6.

Por ejemplo, lo último en mi máquina fue {Android SDK dir}\platforms\android-4\tools\lib\ . (No encontré ninguna versión más reciente a partir del 2012-01-22 Android SDK R15).

Realmente espero que esto sea útil para alguien porque he perdido medio día investigando y buscando la solución de un error tan trivial … 🙁

La carpeta platform-tools \ lib no estaba después de la actualización (mi eclipse estaba abierto). cierre el eclipse, use sdk manager uninstall e instale “Android SDK platform-tools”.

Acabo de encontrar el mismo problema ayer, en Eclipse of Neon Release (4.6.0).

Es un problema relacionado con 26.0.0 de las “herramientas de comstackción” de android-sdk.

Solución simple:

  • Eliminar “26.0.0” en el directorio “build-tools”
  • Use “25.0.2” en su lugar
  • Reiniciar eclipse

Otra solución:

  • agregue esto en el proyecto.propiedades de su proyecto:
    sdk.buildtools = 25.0.2

¡Buena suerte!

Estaba ejecutando Eclipse Neon.2 y Android SDK Build-tools + platform-tools versión 26 en Mac OS 10.12.4 y ninguna de las respuestas anteriores (incluida la respuesta aceptada) funcionó para mí.

Lo que funcionó fue

  1. Salir de Eclipse

  2. Quite la carpeta /build-tools/26.0.0 e instale la versión (más antigua) 25.0.3 de las herramientas de comstackción a través del administrador de Android SDK.

  3. Inicie Eclipse nuevamente

También me pasó a mí, y sucede porque he cambiado a win7, e instalé el último ADT para eclipsar, pero utilicé mi antiguo SDK de Android. Finalmente, soluciono este problema actualizando mi SDK de Android a la última versión.

Para mí, eclipse estaba buscando en el lugar equivocado para el Administrador de SDK. Para arreglar esto lo hice

  • Ventana / Preferencias / Android / SDK Ubicación

NOTA: El administrador de SDK le dice qué dir está usando cerca de la parte superior de la IU.

Había instalado una nueva versión de eclipse que tiene el ADT empaquetado desde el sitio del desarrollador de Android , pero cuando abrí eclipse estaba buscando en la ubicación anterior de SDK.exe.

hth

No he visto este problema específico, pero puede obtener mejores resultados con Eclipse Helios o Indigo. Galileo está envejeciendo y es poco probable que se pruebe tanto como las plataformas Eclipse más recientes.

a veces solo necesitas reiniciar Eclipse después de la actualización, me funcionó corregir ese error

Además, asegúrese de que la versión de ADT sea compatible con AndroidSDKTools. Eso solucionó mi problema. En el administrador de SDK, File-> Reload llevará a las últimas revisiones.

Tuve este problema en Eclipse desde que actualicé de build-tools 25.0.0 a 26.0.0

Acabo de agregar “sdk.buildtools = 25.0.0” en mis project.properties y funciona de nuevo

mis project.properties:

 target=android-23 sdk.buildtools=25.0.0 android.library.reference.1=../design 

Intente utilizar Eclipse Indigo: http://www.eclipse.org/downloads/ y siga las instrucciones sobre cómo instalar Android ADT desde: http://developer.android.com/sdk/eclipse-adt.html

Windows 7 de 64 bits, Intel i7

Esto también me sucedió después de actualizar el SDK para que fuera compatible con Jelly Bean. La carpeta platform-tools \ lib ya no está. Tampoco pude desinstalar / reinstalar las herramientas del progtwig en el administrador de SDK al principio. Me dio el error de que un archivo en particular en la carpeta android \ temp no estaba allí. Tuve que cambiar los permisos en la carpeta de Android para permitir cada acción, y eso lo resolvió.

Incluso después de reinstalar “Android SDK plataforma-herramientas” en mi UBuntu-16.04 problema LTS persistió. Estoy usando Eclipse-Oxygen. Copiar dx.jar desde /build-tools/25.0.3/lib en /build-tools/26.0.0-preview/lib resolvió mi problema.

Actualizar las herramientas de la plataforma Android SDK con el Administrador de Android SDK y reiniciar Eclipse lo hizo por mí

Si ha actualizado las herramientas ADT y también la plataforma SDK y ve el error anterior, reinicie Eclipse.

Descomprima el SDK de Android actualizado en su carpeta SDK actual. Esto resolvió mi problema.